import { ComponentFactoryResolver, ComponentRef, ViewContainerRef } from '@angular/core';
import { UrlFixerService } from '../data/url-fixer.service';
import { AnnotationStoreService } from '../data/annotation-store.service';
import { IAnnotationSet } from '../data/annotation-set.model';
import { EmLoggerService } from '../logging/em-logger.service';
export declare class ViewerFactoryService {
    private componentFactoryResolver;
    private annotationStoreService;
    private urlFixer;
    private log;
    constructor(componentFactoryResolver: ComponentFactoryResolver, annotationStoreService: AnnotationStoreService, urlFixer: UrlFixerService, log: EmLoggerService);
    private static determineComponent(mimeType);
    private static isImage(mimeType);
    private static isPdf(mimeType);
    private static getDocumentId(documentMetaData);
    buildAnnotateUi(documentMetaData: any, viewContainerRef: ViewContainerRef, baseUrl: string, annotate: boolean, annotationSet: IAnnotationSet, pdfWorker: string): ComponentRef<any>['instance'];
    buildViewer(documentMetaData: any, annotate: boolean, viewContainerRef: ViewContainerRef, baseUrl: string, pdfWorker: string): any;
}
